Bug 1959009 - operator-lifecycle-manager-packageserver flaps Available=False despite unavailableReplicas <= maxUnavailable
Summary: operator-lifecycle-manager-packageserver flaps Available=False despite unavai...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.z
Assignee: Ben Luddy
QA Contact: Salvatore Colangelo
URL:
Whiteboard:
Depends On: 1945443
Blocks: 1962310
TreeView+ depends on / blocked
 
Reported: 2021-05-10 14:52 UTC by Ben Luddy
Modified: 2021-05-24 17:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1945443
: 1962310 (view as bug list)
Environment:
[bz-OLM] clusteroperator/operator-lifecycle-manager-packageserver should not change condition/Available
Last Closed: 2021-05-24 17:14:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 2151 0 None open [release-4.7] Bug 1959009: Use DeploymentAvailable instead of custom test for CSV status. 2021-05-10 15:03:12 UTC
Red Hat Product Errata RHSA-2021:1561 0 None None None 2021-05-24 17:15:15 UTC

Comment 3 Salvatore Colangelo 2021-05-17 13:23:06 UTC
[scolange@scolange ~]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-05-17-040457   True        False         18m     Cluster version is 4.7.0-0.nightly-2021-05-17-040457


[scolange@scolange ~]$ oc get deployment packageserver -n openshift-operator-lifecycle-manager -o yaml | grep "spec:" -A 20

spec:
  progressDeadlineSeconds: 600
  replicas: 2
  revisionHistoryLimit: 1
  selector:
    matchLabels:
      app: packageserver
  strategy:
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 1
    type: RollingUpdate
  template:
    metadata:
      annotations:
        include.release.openshift.io/self-managed-high-availability: "true"
        olm.operatorGroup: olm-operators
        olm.operatorNamespace: openshift-operator-lifecycle-manager
        olm.targetNamespaces: openshift-operator-lifecycle-manager
        olmcahash: ef59118d42c6514c6c996629f4ee227239a9e0b83311ac04e681fabab7b84e6e
      creationTimestamp: null

LGMT!

Comment 5 errata-xmlrpc 2021-05-24 17:14:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.12 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1561


Note You need to log in before you can comment on or make changes to this bug.